Skip to main content
GET
/
lucca-api
/
taxonomies
List taxonomies
curl --request GET \
  --url https://{host}/lucca-api/taxonomies \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "type": "taxonomies",
  "url": "https://example.ilucca.net/lucca-api/taxonomies?limit=25",
  "totalCount": 872,
  "items": [
    {
      "id": "45",
      "type": "taxonomy",
      "url": "https://example.ilucca.net/lucca-api/taxonomies/45",
      "name": "T-shirt size",
      "createdAt": "2025-01-23T19:45:23Z",
      "lastUpdatedAt": "2025-01-23T19:45:23Z",
      "t9n": {
        "name": {
          "fr-FR": "Taille de t-shirt."
        }
      },
      "links": {}
    }
  ],
  "links": {
    "prev": null,
    "next": {
      "href": "https://example.ilucca.net/lucca-api/taxonomies?page=2qs1dqsd45&limit=25"
    }
  },
  "embedded": {}
}
This API endpoint is in beta and may be subject to changes, including breaking changes, without prior notice.
OAuth 2.0 scopes
 taxonomies.readonly
or
 taxonomies.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

Find a taxonomy whose name must start with all of the given words. Each word can be delimited with any of these delimiters: [' ', '-', '_', ',', '.'].

Minimum string length: 1
page
string

Cursor of the page to retrieve. Read more about pagination.

limit
integer
default:25

Number of items per page. Defaults to 25. Maximum is 100. Read more about pagination.

Required range: 0 <= x <= 100
include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of taxonomy resources.

type
string
Allowed value: "taxonomies"
url
string<uri>
totalCount
integer<int64> | null

Total number of taxonomy resources across all pages that satisfy query parameters.

Required range: x >= 0
items
taxonomy · object[]
Maximum array length: 100

Links to related resources

embedded
object

No embedded resources on a taxonomy(ies) response. Expect an empty object if embedded are requested.